import { 
  select,
  csv,
  scaleLinear,
  max,
  scaleBand,
  axisLeft,
	axisBottom} 
from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const render = data => {
  const margin = {
    top: 20,
    right: 40,
    bottom: 30,
    left: 80
  };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;
  
  


  var countryFilter = ['China', 'Indonesia', 'Russia'];
  
  
  console.log(data);
  var correctData = countryFilter.map(function(d) {
    return {
      country: d,
      length: data.filter(function(e) {
        return e.country.match(d);
      }).length
    }
  });
  console.log(correctData);

  const xScale = d3.scaleBand()
  	.range([0, innerWidth])
  	.domain(correctData.map(d => d.country))
  	.padding(0.1);

  const yScale = d3.scaleLinear()
    .range([innerHeight, 0])
    .domain([0, d3.max(correctData, d => d.length)]);

  const g = svg.append('g')
    .attr('transform', `translate(${margin.left},${margin.top})`);

  g.append('g').call(d3.axisLeft(yScale));
  g.append('g').call(d3.axisBottom(xScale))
    .attr('transform', `translate(0,${innerHeight})`);


  g.selectAll('rect')
    .data(correctData)
    .enter()
    .append('rect')  	
  	.attr('x', d => xScale(d.country))
    .attr('y', d => yScale(d.length))
 	 	.attr('height', d => innerHeight - yScale(d.length))
  	.attr('width', xScale.bandwidth());
  	
  

};
	

csv('data.csv').then(data => {
	render(data);
 
});









